org.jboss.jca.core.api.connectionmanager.pool

## Interface Pool

-     public interface Pool

  A pool.
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `dumpQueuedThreads()` Dump the queued threads
    `void` | `flush()` Flush idle connections from the pool
    `void` | `flush(boolean kill)` Flush the pool
    `void` | `flush(FlushMode mode)` Flush the pool
    `java.lang.String` | `getName()` Gets pool name.
    `PoolStatistics` | `getStatistics()` Get the statistics
    `boolean` | `testConnection()` Test if a connection can be obtained
    `boolean` | `testConnection(javax.resource.spi.ConnectionRequestInfo cri, javax.security.auth.Subject subject)` Test if a connection can be obtained

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Gets pool name.
      Returns:
        pool name

    - #### flush

          void flush()

      Flush idle connections from the pool

    - #### flush

          void flush(boolean kill)

      Flush the pool
      Parameters:
        `kill` - Kill all connections

    - #### flush

          void flush(FlushMode mode)

      Flush the pool
      Parameters:
        `mode` - The flush mode

    - #### testConnection

          boolean testConnection()

      Test if a connection can be obtained
      Returns:
        True if it was possible to get a connection; otherwise false

    - #### testConnection

          boolean testConnection(javax.resource.spi.ConnectionRequestInfo cri,
                                 javax.security.auth.Subject subject)

      Test if a connection can be obtained
      Parameters:
        `cri` - Optional connection request info object
        `subject` - Optional subject
      Returns:
        True if it was possible to get a connection; otherwise false

    - #### getStatistics

          PoolStatistics getStatistics()

      Get the statistics
      Returns:
        The value

    - #### dumpQueuedThreads

          java.lang.String[] dumpQueuedThreads()

      Dump the queued threads
      Returns:
        The strack traces of the queued thread, or empty if none

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)